#
# Aeon laser 'bolt'
#
local DefaultProjectileFile = import('/lua/sim/defaultprojectiles.lua')
local SinglePolyTrailProjectile = DefaultProjectileFile.SinglePolyTrailProjectile
local EffectTemplate = import('/lua/EffectTemplates.lua')

local AHighIntensityLaserProjectile = Class(SinglePolyTrailProjectile) {

    FxTrails = {

    },
    PolyTrail = '/mods/AlienNationsUnitAdditions/projectiles/bigbluebeam/bigbluebeam_emit.bp',

    # Hit Effects
    FxImpactUnit = EffectTemplate.TPlasmaCannonHeavyHitUnit01,
    FxImpactProp = EffectTemplate.TPlasmaCannonHeavyHitUnit01,
    FxImpactLand = EffectTemplate.TPlasmaCannonHeavyHitLand01,
    FxImpactUnderWater = {},
}

ADFLaserHighIntensity01 = Class(AHighIntensityLaserProjectile) {}

TypeClass = ADFLaserHighIntensity01
